Downgrade rustc tooltool packages to 1.29.0

RESOLVED FIXED

Status

enhancement
RESOLVED FIXED
10 months ago
6 months ago

People

(Reporter: ewong, Assigned: ewong)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments, 1 obsolete attachment)

Rustc tooltool packages need updating.
Component: Build Config → Release Engineering
Posted patch proposed patch (obsolete) — Splinter Review
Do note: the rustc packages were manually done by me.
While I could use taskcluster's files, I can't use the osx64 one as
it's the cross-compile version and not the native one (I think).
Assignee: nobody → ewong
Attachment #9014701 - Flags: review?(frgrahl)
Comment on attachment 9014701 [details] [diff] [review]
proposed patch

> linux32/releng.manifest

Seems to contain other changes probably from the already pushed patch. r+ with that fixed or explained.

I was unable to verify the actual macOS package yet. Looks like I need to set up an environment to start the app. Finder say it is a valid unix file so I would just give it a whirl on the builder.
Attachment #9014701 - Flags: review?(frgrahl) → review+
(In reply to Frank-Rainer Grahl (:frg) from comment #2)
> Comment on attachment 9014701 [details] [diff] [review]
> proposed patch
> 
> > linux32/releng.manifest
> 
> Seems to contain other changes probably from the already pushed patch. r+
> with that fixed or explained.

I'll revert those changes.  They're supposed to be for updating sccache and
clang versions.  


> 
> I was unable to verify the actual macOS package yet. Looks like I need to
> set up an environment to start the app. Finder say it is a valid unix file
> so I would just give it a whirl on the builder.

Will do.
Pushed by ewong@pw-wspx.org:
https://hg.mozilla.org/comm-central/rev/66a106452d93
Update Rustc to 1.29.1 r=frg
Status: NEW → RESOLVED
Closed: 9 months ago
Resolution: --- → FIXED
our current rustc packages could have been done badly as we're not getting a good compile for
linux64.

And since m-c is using 1.29.0, I'm going to generate the 1.29.0 packages.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Summary: Update rustc tooltool packages to 1.29.1 → Downgrade rustc tooltool packages to 1.29.0
Attachment #9015769 - Flags: review?(frgrahl)
Comment on attachment 9015769 [details] [diff] [review]
proposed patch (linux32/64 only for now)

r+ 
1.29.1 should work so I am not sure this will help.
Attachment #9015769 - Flags: review?(frgrahl) → review+
Status: REOPENED → RESOLVED
Closed: 9 months ago6 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.